### Virtual Method

# Gio Mount unmount

deprecated: 2.22

#### Declaration

    void
    unmount (
      GMount* mount,
      GMountUnmountFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Unmounts a mount. This is an asynchronous operation, and is finished by calling `g_mount_unmount_finish()` with the `mount` and `GAsyncResult` data returned in the `callback`.

Deprecated since: 2.22

Use `g_mount_unmount_with_operation()` instead.

#### Parameters

`flags`

  Type: `GMountUnmountFlags`

  Flags affecting the operation.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`, or `NULL`.

`user_data`

  Type: `gpointer`

  User data passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.